# Dependent controls in User step

The dependent controls feature enables dynamic data entry by updating available options based on prior user selections. When a user selects an option in one control (e.g., "Country"), the dependent control (e.g., "City") automatically filters to display only relevant options.

The dependent connection is done in Source using either Variable or Expression.

* Variable - Select the table that will serve as the data source for the list.
* Expression - Write the FlowScript expression that will serve as the data source for the list. You can add conditions based on target variables for controls within the User step.

Dependent controls can be combined with conditions to hide configuration to show or hide controls based on user-selected values.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.novacura.com/flow-connect/reference/how-to-guides/dependent-controls-in-user-step.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
